#pragma once

namespace Test
{
	class Camera : public Entity
	{
	public:
		Camera(const M4f &pos);
		~Camera();

	protected:
		void OnPass1() override;

	private:
		RVSTATEFUNCS(Camera);

		Rayve::Camera camera;
	};
}
